Categories:
  - Multimedia
License: MIT
AuthorName: y20k
WebSite: http://www.y20k.org/transistor/
SourceCode: https://github.com/y20k/transistor
IssueTracker: https://github.com/y20k/transistor/issues
Translation: https://hosted.weblate.org/projects/transistor/strings/
Changelog: https://github.com/y20k/transistor/releases

AutoName: Transistor
Description: |-
    Transistor is a bare bones app for listening to radio programs over the
    internet. The app stores stations as files on your device’s external storage. It
    currently understands streams embedded within m3u and pls links.

RepoType: git
Repo: https://github.com/y20k/transistor.git

Builds:
  - versionName: 1.1.3 (Running Gun Blues)
    versionCode: 12
    commit: v1.1.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.4 (Running Gun Blues)
    versionCode: 13
    commit: v1.1.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.5 (Running Gun Blues)
    versionCode: 14
    commit: v1.1.5
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.6 (Running Gun Blues)
    versionCode: 15
    commit: v1.1.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/android {/alintOptions {\nabortOnError false\n}\n' build.gradle

  - versionName: 1.2.0 (Cygnet Committee)
    versionCode: 16
    commit: v1.2.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.2.1 (Cygnet Committee)
    versionCode: 17
    commit: v1.2.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.2.2 (Cygnet Committee)
    versionCode: 18
    commit: v1.2.2
    subdir: app
    gradle:
      - yes

  - versionName: 1.2.3 (Cygnet Committee)
    versionCode: 19
    commit: v1.2.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.2.4 (Cygnet Committee)
    versionCode: 20
    commit: v1.2.4
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.0 (Starman)
    versionCode: 21
    commit: v2.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.1 (Starman)
    versionCode: 22
    commit: v2.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.2 (Starman)
    versionCode: 23
    commit: v2.0.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.3 (Starman)
    versionCode: 24
    commit: v2.0.3
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.0 (Moonage Daydream)
    versionCode: 26
    commit: v2.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.1 (Moonage Daydream)
    versionCode: 27
    commit: v2.1.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.2 (Moonage Daydream)
    versionCode: 28
    commit: v2.1.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.3 (Moonage Daydream)
    versionCode: 29
    commit: v2.1.3
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.4 (Moonage Daydream)
    versionCode: 30
    commit: v2.1.4
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.5 (Moonage Daydream)
    versionCode: 31
    commit: v2.1.5
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.6 (Moonage Daydream)
    versionCode: 32
    commit: v2.1.6
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.7 (Moonage Daydream)
    versionCode: 33
    commit: v2.1.7
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.8 (Moonage Daydream)
    versionCode: 34
    commit: 2.1.8
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.0 (Sons Of The Silent Age)
    versionCode: 35
    commit: v2.2.0
    subdir: app
    gradle:
      - yes
    prebuild:
      - cd ..
      - mkdir -p gradle/wrapper
      - echo -e 'distributionUrl=https://services.gradle.org/distributions/gradle-3.3-bin.zip'
        > gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.2.1 (Sons Of The Silent Age)
    versionCode: 36
    commit: v2.2.1
    subdir: app
    gradle:
      - yes
    prebuild:
      - cd ..
      - mkdir -p gradle/wrapper
      - echo -e 'distributionUrl=https://services.gradle.org/distributions/gradle-3.3-bin.zip'
        > gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - ExoPlayer/library/src/androidTest/assets/webm/vorbis_codec_private

  - versionName: 2.2.2 (Sons Of The Silent Age)
    versionCode: 37
    commit: v2.2.2
    subdir: app
    gradle:
      - yes
    prebuild:
      - cd ..
      - mkdir -p gradle/wrapper
      - echo -e 'distributionUrl=https://services.gradle.org/distributions/gradle-3.3-bin.zip'
        > gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.2.3 (Sons Of The Silent Age)
    versionCode: 38
    commit: v2.2.3
    subdir: app
    gradle:
      - yes
    prebuild:
      - cd ..
      - mkdir -p gradle/wrapper
      - echo -e 'distributionUrl=https://services.gradle.org/distributions/gradle-3.3-bin.zip'
        > gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.2.4 (Sons Of The Silent Age)
    versionCode: 39
    commit: v2.2.4
    subdir: app
    gradle:
      - yes
    prebuild:
      - cd ..
      - mkdir -p gradle/wrapper
      - echo -e 'distributionUrl=https://services.gradle.org/distributions/gradle-3.3-bin.zip'
        > gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.2.5 (Sons Of The Silent Age)
    versionCode: 40
    commit: v2.2.5
    subdir: app
    gradle:
      - yes
    prebuild:
      - cd ..
      - mkdir -p gradle/wrapper
      - echo -e 'distributionUrl=https://services.gradle.org/distributions/gradle-3.3-bin.zip'
        > gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.2.6 (Sons Of The Silent Age)
    versionCode: 41
    commit: v2.2.6
    subdir: app
    gradle:
      - yes

  - versionName: 2.3.3
    versionCode: 45
    commit: v2.3.3
    subdir: app
    gradle:
      - yes
    rm:
      - exoplayer/ExoPlayer-r2.5.1/library/core/src/androidTest
      - exoplayer/ExoPlayer-r2.5.1/extensions/ima

  - versionName: 2.3.6
    versionCode: 48
    commit: v2.3.6
    subdir: app
    gradle:
      - yes
    rm:
      - exoplayer/ExoPlayer-*/*/*/*/androidTest
      - exoplayer/ExoPlayer-*/extensions/ima

  - versionName: 2.3.7
    versionCode: 49
    commit: v2.3.7
    subdir: app
    gradle:
      - yes
    rm:
      - exoplayer/ExoPlayer-*/*/*/*/androidTest
      - exoplayer/ExoPlayer-*/extensions/ima

  - versionName: 3.0.0
    versionCode: 50
    commit: v3.0.0
    subdir: app
    gradle:
      - yes
    rm:
      - libraries/ExoPlayer-*/*/*/*/androidTest
      - libraries/ExoPlayer-*/extensions/ima

  - versionName: 3.0.2
    versionCode: 52
    commit: v3.0.2
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.3
    versionCode: 53
    commit: v3.0.3
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.4
    versionCode: 54
    disable: 'error: cannot find symbol import android.support.v4.BuildConfig'
    commit: v3.0.4
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.5
    versionCode: 55
    commit: v3.0.5
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.6
    versionCode: 56
    commit: v3.0.6
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.7
    versionCode: 57
    commit: v3.0.7
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.8
    versionCode: 58
    commit: v3.0.8
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.9
    versionCode: 59
    commit: v3.0.9
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.10
    versionCode: 60
    commit: v3.0.10
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.11
    versionCode: 61
    commit: v3.0.11
    subdir: app
    gradle:
      - yes

  - versionName: 3.0.12
    versionCode: 62
    commit: v3.0.12
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.0
    versionCode: 64
    commit: v3.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.1
    versionCode: 65
    commit: v3.1.1
    subdir: app
    gradle:
      - yes

  - versionName: 3.1.2
    versionCode: 66
    commit: v3.1.2
    subdir: app
    gradle:
      - yes

  - versionName: 3.2.0
    versionCode: 67
    commit: v3.2.0
    subdir: app
    gradle:
      - yes

  - versionName: 3.2.1
    versionCode: 68
    commit: v3.2.1
    subdir: app
    gradle:
      - yes

  - versionName: 3.2.2
    versionCode: 69
    commit: v3.2.2
    subdir: app
    gradle:
      - yes

  - versionName: 3.2.3
    versionCode: 70
    commit: v3.2.3
    subdir: app
    gradle:
      - yes

  - versionName: 3.2.4
    versionCode: 71
    commit: v3.2.4
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.0
    versionCode: 72
    commit: v4.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.1
    versionCode: 73
    commit: v4.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.2
    versionCode: 74
    commit: v4.0.2
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.3
    versionCode: 75
    commit: v4.0.3
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.4
    versionCode: 76
    commit: v4.0.4
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.5
    versionCode: 77
    commit: v4.0.5
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.6
    versionCode: 78
    commit: v4.0.6
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.7
    versionCode: 79
    commit: v4.0.7
    subdir: app
    gradle:
      - yes

  - versionName: 4.0.9
    versionCode: 80
    commit: v4.0.9
    subdir: app
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 4.0.9
CurrentVersionCode: 80
